using System;

namespace Zadatak2._3
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[,] matr = new int[n, n];
            int a, b;
            for (int i = 0; i < n; i++)
            {
                string[] s = Console.ReadLine().Split();
                a = int.Parse(s[0]) - 1;
                b = int.Parse(s[1]) - 1;
                matr[int.Parse(s[0]) - 1, int.Parse(s[1]) - 1] = 1;
            }
            bool nepoklapanje = true;
            for (int i = 0; i < n; i++)
                for (int j = 0; j < n; j++)
                    if (matr[i, j] == 1)
                        for (int i1 = 0; i1 < n; i1++)
                        {
                            if(i1!=i)
                                if (matr[i1, j] == 1)
                                    nepoklapanje = false;
                            if(i1!=j)
                                if (matr[i, i1] == 1)
                                    nepoklapanje = false;
                        }
            if (nepoklapanje)
                Console.WriteLine(0);
            else
                Console.WriteLine(1);
        }
    }
}